# Exiv2::Error Class Reference

Simple error class used for exceptions. An output operator is provided to print errors to a stream. More...

`#include <error.hpp>`

Inheritance diagram for Exiv2::Error:

[legend]
Collaboration diagram for Exiv2::Error:

[legend]
List of all members.

## Public Member Functions

Creators
| Error (int code)
| Constructor taking only an error code.
template<typename A>
| Error (int code, const A &arg1)
| Constructor taking an error code and one argument.
template<typename A, typename B>
| Error (int code, const A &arg1, const B &arg2)
| Constructor taking an error code and two arguments.
template<typename A, typename B, typename C>
| Error (int code, const A &arg1, const B &arg2, const C &arg3)
| Constructor taking an error code and three arguments.
Accessors
virtual int | code () const
| Return the error code.
virtual std::string | what () const
| Return the error message. Consider using the output operator operator<<(std::ostream &os, const AnyError& error) instead.

## Detailed Description

Simple error class used for exceptions. An output operator is provided to print errors to a stream.

Examples:

  addmoddel.cpp, exifprint.cpp, and iptcprint.cpp.

## Member Function Documentation

std::string Exiv2::Error::what | ( |  | ) | const`[virtual]`

Return the error message. Consider using the output operator operator<<(std::ostream &os, const AnyError& error) instead.

Note:
  Unlike std::exception::what(), this function returns an std::string.

Implements Exiv2::AnyError.

The documentation for this class was generated from the following files:

- error.hpp
- error.cpp